/* STATIC window type */!!

inherit(Control, #Static, #(text  /* holds text */), 2, nil)!!

now(class(Static))!!

Def new(self, id, par, name, style | theOne)
{ theOne := new(self:Behavior);
  setContID(theOne, id);
  setParent(theOne, par);
  setText(theOne, name);
  create(theOne, name, "STATIC", style bitOr WS_CHILD);
  ^theOne;
}!!

now(Static)!!

Def getText(self)
{ ^text
}!!

/* Set the button's parent instance variable. */
Def setText(self, name)
{ ^text := name
}!!